#!/bin/sh

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Exit on error
set -e

if [ "$project" = "" ]; then
  project=$(oc project -q)
else
  oc new-project $project 2>/dev/null || true
fi

eval $(minishift docker-env)
make images-dev

# Try setup with standard user
ret=0
./kamel install -n $project 2>/dev/null || export ret=$?

if [ $ret -ne 0 ]; then
  # Login as admin if cluster setup fails with standard user
  olduser=$(oc whoami)
  oc login -u system:admin
  ./kamel install --cluster-setup
  oc login -u $olduser
  ./kamel install -n $project
fi

oc delete pod -l name=camel-k-operator -n $project || true
